# Console Port

## [2.7.14](https://github.com/seblindfors/ConsolePort/tree/2.7.14) (2024-01-04)
[Full Changelog](https://github.com/seblindfors/ConsolePort/compare/2.7.13...2.7.14) [Previous Releases](https://github.com/seblindfors/ConsolePort/releases)

- Run raid cursor UI scan when new addons load  
- Revamp raid cursor UI scanning and caching  
    Since the change in 10.1 to remove access to insecure container frames in combat, the raid cursor fails to find and cache default raid frames if enabled for the first time while in combat. This is due to Blizzard unit frame containers being unprotected.  
    This change should make the raid cursor work reliably again, gain performance by not scanning the entire UI recursively on toggle, and work around taint issues caused by base metatable injection from other addons (looking at you Bagnon).  
    Apart from this change, the raid cursor filter has received a QoL update to provide error printout and some testing on user-provided predicates so the raid cursor doesn't break itself if provided with an erronous filter.  
- Set Use Global Loot Tooltip as an advanced option  
- Add option to change autocorrect suggestion speed  
    For the few people that do use the virtual keyboard, it can have performance issues on lower end systems/handhelds, since the word mutation algorithm is expensive.  
